import request from '@/utils/request'

// 查询生产订单列表
export function listProductionOrder(query) {
  return request({
    url: '/erpProductionOrders/list',
    method: 'get',
    params: query
  })
}

// 查询生产订单详细
export function getProductionOrder(id) {
  return request({
    url: '/erpProductionOrders/' + id,
    method: 'get'
  })
}

// 新增生产订单
export function addProductionOrder(data) {
  return request({
    url: '/erpProductionOrders',
    method: 'post',
    data: data
  })
}

// 修改生产订单
export function updateProductionOrder(data) {
  return request({
    url: '/erpProductionOrders',
    method: 'put',
    data: data
  })
}

// 删除生产订单
export function delProductionOrder(id) {
  return request({
    url: '/erpProductionOrders/' + id,
    method: 'delete'
  })
}

// 统计一周内的生产工单排产、已完成数量
export function getProductionOrdersToWeek() {
  return request({
    url: '/erpProductionOrders/getProductionOrdersToWeek',
    method: 'get'
  })
}

// 统计工单数量，分别统计排产、已完成的数量
export function getCountProductionOrders() {
  return request({
    url: '/erpProductionOrders/getCountProductionOrders',
    method: 'get'
  })
}


